Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::addon::tablegenerator::TableCellData Class Reference

Inherits Object.

## Public Member Functions
| TableCellData ()
| Constructor.
| TableCellData (const foxit::pdf::RichTextStyle &cell_text_style, const ARGB cell_fill_color, const WString &cell_text, const foxit::common::Image &cell_image, const RectF &cell_margin)
| Constructor, with parameters. More...
| TableCellData (const TableCellData &data)
| Constructor, with another table cell data object. More...
bool | operator!= (const TableCellData &data) const
| Not equal operator. More...
TableCellData & | operator= (const TableCellData &data)
| Assign operator. More...
bool | operator== (const TableCellData &data) const
| Equal operator. More...
void | Set (const foxit::pdf::RichTextStyle &cell_text_style, const ARGB cell_fill_color, const WString &cell_text, const foxit::common::Image &cell_image, const RectF &cell_margin)
| Set value. More...

## Public Attributes
ARGB | cell_fill_color
| The fill color of cell. Format: 0xAARRGGBB.
foxit::common::Image | cell_image
| The image content of cell. More...
RectF | cell_margin
| The cell margin between the content and cell border. More...
WString | cell_text
| The text content of cell. More...
foxit::pdf::RichTextStyle | cell_text_style
| The style of cell text.

## Detailed Description

This class represents table cell data.

## Constructor & Destructor Documentation

## ◆ TableCellData() [1/2]

foxit::addon::tablegenerator::TableCellData::TableCellData | ( | const foxit::pdf::RichTextStyle & | cell_text_style,
|  | const ARGB | cell_fill_color,
|  | const WString & | cell_text,
|  | const foxit::common::Image & | cell_image,
|  | const RectF & | cell_margin
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell. Format: 0xAARRGGBB.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

## ◆ TableCellData() [2/2]

foxit::addon::tablegenerator::TableCellData::TableCellData | ( | const TableCellData & | data | ) |
| inline

Constructor, with another table cell data object.

Parameters

  [in] | data | Another table cell data object, whose value would be assigned to current object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::addon::tablegenerator::TableCellData::operator!= | ( | const TableCellData & | data | ) | const
| inline

Not equal operator.

Parameters

  [in] | data | Another table cell data object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

TableCellData& foxit::addon::tablegenerator::TableCellData::operator= | ( | const TableCellData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another table cell data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::tablegenerator::TableCellData::operator== | ( | const TableCellData & | data | ) | const
| inline

Equal operator.

Parameters

  [in] | data | Another table cell data object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::addon::tablegenerator::TableCellData::Set | ( | const foxit::pdf::RichTextStyle & | cell_text_style,
|  | const ARGB | cell_fill_color,
|  | const WString & | cell_text,
|  | const foxit::common::Image & | cell_image,
|  | const RectF & | cell_margin
| ) |  |
| inline

Set value.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell. Format: 0xAARRGGBB.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

Returns
  None.

## Member Data Documentation

## ◆ cell_image

foxit::common::Image foxit::addon::tablegenerator::TableCellData::cell_image

The image content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.

## ◆ cell_margin

RectF foxit::addon::tablegenerator::TableCellData::cell_margin

The cell margin between the content and cell border.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a table cell. The value should not be negative and should not be bigger than the cell's height or width.

## ◆ cell_text

WString foxit::addon::tablegenerator::TableCellData::cell_text

The text content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.